class PettanrSimpleFormat
  WritingFormat = window.PettanrWritingFormat
  @engine_name = 'pettanr_simple_format'
  
  @escapeHTML = (t) ->
    $("<div/>").text(t).html()

  @render = (content) -> 
    text = PettanrSimpleFormat.escapeHTML(content)
    start_tag = '<p>'
    text = text.replace(/\r\n?/g, "\n")
    text = text.replace(/\n\n+/g, "</p><p>")
    text = text.replace(/\n/g, '\n<br />')
    text = text.replace(/\<\/p\>\<p\>/g, "</p>\n\n<p>")
    text = start_tag + text + "</p>"
    return text

window.PettanrWritingFormat.renderers[PettanrSimpleFormat.engine_name] = PettanrSimpleFormat
@PettanrSimpleFormat = PettanrSimpleFormat
