require "pettanr_simple_format/engine"

module PettanrSimpleFormat
  module RendererModule
    def render
       self.render_simple_format(self.content)
    end
    
    def render_simple_format text
      #text = Sanitize.clean(text.to_s, Sanitize::Config::RESTRICTED)
      text = ERB::Util.html_escape(text.to_s)
      start_tag = '<p>'
      text.gsub!(/\r\n?/, "\n")
      text.gsub!(/\n\n+/, "</p>\n\n#{start_tag}")  # 2+ newline  -> paragraph
      text.gsub!(/([^\n]\n)(?=[^\n])/, '\1<br />') # 1 newline   -> br
      text.insert 0, start_tag
      text.concat("</p>")
      text
    end
  end
end
